<script context="module">
    export const prerender = true
</script>

<script>
    import { fly } from 'svelte/transition'
    import Button from '$components/Button.svelte'
    import MPContainer from '$components/MouseParallax/Container.svelte'

    const heroInTransition = {
        duration: 400,
        x: 42
    }
</script>

<svelte:head>
    <title>Elerium - A RTS Game to take control of the planet.</title>
</svelte:head>

<section>
    <MPContainer>
        <article class="container hero">
            <div transition:fly={{ ...heroInTransition, delay: 75 }}>
                <h1>Elerium</h1>
                <h2>A footeam game</h2>
            </div>
            <p transition:fly={{ ...heroInTransition, delay: 150 }}>
                A RTS multiplayer game in which three competing factions fight to take control of
                the planet.
            </p>
            <span transition:fly={{ ...heroInTransition, delay: 300 }}>
                <Button href="register">Start playing</Button>
            </span>
            <span class="illustration">
                <svg viewBox="0 0 635.66 581.13">
                    <filter id="tiny-blur">
                        <feGaussianBlur in="SourceGraphic" stdDeviation="1.5" />
                    </filter>
                    <filter id="large-blur">
                        <feGaussianBlur in="SourceGraphic" stdDeviation="6" />
                    </filter>
                    <polygon
                        class="big-polygon"
                        data-factor="0.01"
                        filter="url(#large-blur)"
                        points="588.02 480.95 319.23 581.13 98.08 398.44 145.72 115.57 414.51 15.39 635.66 198.08 588.02 480.95"
                    />
                    <polygon
                        class="small-polygon"
                        data-factor="2"
                        filter="url(#tiny-blur)"
                        points="226.92 155.95 136.88 234.98 23.42 196.52 0 79.03 90.04 0 203.5 38.46 226.92 155.95"
                    />
                </svg>
            </span>
        </article>
    </MPContainer>
</section>

<style lang="postcss">
    section {
        @apply py-16;

        &:first-of-type {
            @apply h-screen pt-24 bg-gradient-to-br from-midnight-900 to-midnight-600;
            clip-path: polygon(100% 0, 100% 94%, 64% 100%, 0 96%, 0 0);
        }
    }

    article {
        @apply h-full mx-auto;
    }

    .hero {
        @apply flex flex-col justify-center items-start text-white text-opacity-90;
    }

    h1 {
        @apply text-8xl font-display uppercase tracking-wider leading-none;
    }

    h2 {
        @apply text-4xl bg-clip-text text-transparent bg-gradient-to-r from-pink-500 via-purple-500 to-indigo-400 font-display uppercase leading-none mb-10;
    }

    p {
        @apply w-full text-lg leading-relaxed tracking-wide mb-12;
    }

    .illustration {
        @apply hidden absolute w-1/2 right-0 inset-y-0 pt-24 pb-16;
    }

    svg {
        @apply h-full w-full overflow-visible;
    }

    polygon {
        @apply fill-current transition-all duration-200 ease-out;
    }

    .small-polygon {
        @apply text-blue-600;
    }

    .big-polygon {
        @apply text-indigo-700;
    }

    @screen md {
        p {
            @apply w-1/3;
        }

        .illustration {
            @apply inline;
        }
    }

    @screen lg {
        .illustration {
            @apply w-7/12;
        }
    }
</style>
